Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.encoding.soapenc
Class DoubleSerializer

    java.lang.Object
      |
      +--oracle.soap.encoding.soapenc.DoubleSerializer

All Implemented Interfaces:
  Serializer

public class DoubleSerializer
extends java.lang.Object
implements Serializer

Serializer/Deserializer for Double using SOAP-ENC encoding style.

Field Summary
`static java.lang.Double` | `POSITIVE_INFINITY`

Constructor Summary
`DoubleSerializer()`

Method Summary
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSITIVE_INFINITY

    public static final java.lang.Double POSITIVE_INFINITY

Constructor Detail

### DoubleSerializer

    public DoubleSerializer()

Method Detail

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

  Specified by:
    `marshall` in interface `Serializer`
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.